package org.apache.ws.jaxme.pm.generator.jdbc;

import java.util.ArrayList;
import java.util.List;
import java.util.StringTokenizer;

import org.apache.ws.jaxme.xs.XSSchema;
import org.apache.ws.jaxme.xs.impl.XSUtil;
import org.apache.ws.jaxme.xs.parser.impl.LocSAXException;
import org.apache.ws.jaxme.xs.xml.XsObject;
import org.xml.sax.SAXException;

/**
 * @author <a href="mailto:joe@ispsoft.de">Jochen Wiedmann</a>
 */
public class TableDetails extends ConnectionDetails {
  protected TableDetails(JaxMeJdbcSG pJdbcSG, XsObject pParent) throws SAXException {
    super(pJdbcSG, pParent);

    XSSchema schema = pParent.getXsESchema().getContext().getXSSchema();
    if (schema != null) {
      ConnectionDetails details = (ConnectionDetails)
        XSUtil.getSingleAppinfo(schema.getAnnotations(), ConnectionDetails.class);
      if (details != null) {
        cloneFrom(details);
      }
    }
  }

  private String name;
  private List keys;
  public void setName(String pName) {
    name = pName;
  }
  public String getName() {
    return name;
  }
  public void setKeys(String pKeys) {
    if (keys == null) {
      keys = new ArrayList();
    }
    for (StringTokenizer st = new StringTokenizer(pKeys, ", ");  st.hasMoreTokens();  ) {
      keys.add(st.nextToken());
    }
  }
  public List getKeys() {
    return keys;
  }
  public void cloneFrom(TableDetails pFrom) {
    super.cloneFrom(pFrom);
    name = pFrom.name;
  }

  public void validate() throws SAXException {
    super.validate();
    if (name == null  ||  name.length() == 0) {
      throw new LocSAXException("Missing or empty 'table' attribute.", getLocator());
    }
  }
}