package org.apache.ws.jaxme.xs;

import org.xml.sax.ContentHandler;

/** <p>A SAX Parser for XML Schema. Use this as a SAX ContentHandler.
 * The schema may be retrieved using {@link #getXSSchema()} after
 * invoking {@link org.xml.sax.ContentHandler#endDocument()}.</p>
 *
 * @author <a href="mailto:joe@ispsoft.de">Jochen Wiedmann</a>
 */
public interface XSContentHandler extends ContentHandler {
  /** <p>Returns the schema, which has previously been parsed.</p>
   * @throws IllegalStateException The
   * {@link org.xml.sax.ContentHandler#endDocument()} event
   * has not yet been seen.
   */
  public XSSchema getXSSchema();
}
