/*
 * The Apache Software License, Version 1.1
 *
 *
 * Copyright (c) 2003 The Apache Software Foundation.  All rights 
 * reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer. 
 *
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in
 *    the documentation and/or other materials provided with the
 *    distribution.
 *
 * 3. The end-user documentation included with the redistribution,
 *    if any, must include the following acknowledgment:  
 *       "This product includes software developed by the
 *        Apache Software Foundation (http://www.apache.org/)."
 *    Alternately, this acknowledgment may appear in the software itself,
 *    if and wherever such third-party acknowledgments normally appear.
 *
 * 4. The name "Apache Software Foundation" must
 *    not be used to endorse or promote products derived from this
 *    software without prior written permission. For written 
 *    permission, please contact apache@apache.org.
 *
 * 5. Products derived from this software may not be called "Apache",
 *    nor may "Apache" appear in their name, without prior written
 *    permission of the Apache Software Foundation.
 *
 * THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 * DISCLAIMED.  IN NO EVENT SHALL THE APACHE SOFTWARE FOUNDATION OR
 * ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
 * USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
 * OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
 * OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 */
package org.apache.ws.jaxme.xs.jaxb.impl;

import org.apache.ws.jaxme.xs.jaxb.*;
import org.apache.ws.jaxme.xs.xml.XsEAppinfo;
import org.apache.ws.jaxme.xs.xml.XsESchema;
import org.apache.ws.jaxme.xs.xml.XsObject;
import org.apache.ws.jaxme.xs.xml.impl.XsObjectFactoryImpl;

/**
 * @author <a href="mailto:joe@ispsoft.de">Jochen Wiedmann</a>
 */
public class JAXBXsObjectFactoryImpl extends XsObjectFactoryImpl implements JAXBXsObjectFactory {
  public JAXBProperty.BaseType newBaseType(XsObject pParent) {
    return new JAXBPropertyImpl.BaseTypeImpl(pParent);
  }
  public JAXBClass newJAXBClass(XsObject pParent) {
    return new JAXBClassImpl(pParent);
  }
  public JAXBGlobalBindings newJAXBGlobalBindings(XsObject pParent) {
    return new JAXBGlobalBindingsImpl(pParent);
  }
  public JAXBJavadoc newJAXBJavadoc(XsObject pParent) {
    return new JAXBJavadocImpl(pParent);
  }
  public JAXBJavaType newJAXBJavaType(XsObject pParent) {
    return new JAXBJavaTypeImpl(pParent);
  }
  public JAXBJavaType.JAXBGlobalJavaType newJAXBGlobalJavaType(XsObject pParent) {
    return new JAXBJavaTypeImpl.JAXBGlobalJavaTypeImpl(pParent);
  }
  public JAXBSchemaBindings.NameXmlTransformation newNameXmlTransformation(XsObject pParent) {
    return new JAXBSchemaBindingsImpl.NameXmlTransformationImpl(pParent);
  }
  public JAXBSchemaBindings.NameTransformation newNameTransformation(XsObject pParent) {
    return new JAXBSchemaBindingsImpl.NameXmlTransformationImpl.NameTransformationImpl(pParent);
  }
  public JAXBSchemaBindings.Package newPackage(XsObject pParent) {
    return new JAXBSchemaBindingsImpl.PackageImpl(pParent);
  }
  public JAXBProperty newJAXBProperty(XsObject pParent) {
    return new JAXBPropertyImpl(pParent);
  }
  public JAXBSchemaBindings newJAXBSchemaBindings(XsObject pParent) {
    return new JAXBSchemaBindingsImpl(pParent);
  }
  public JAXBTypesafeEnumClass newJAXBTypesafeEnumClass(XsObject pParent) {
    return new JAXBTypesafeEnumClassImpl(pParent);
  }
  public JAXBTypesafeEnumMember newJAXBTypesafeEnumMember(XsObject pParent) {
    return new JAXBTypesafeEnumMemberImpl(pParent);
  }
  public XsEAppinfo newXsEAppinfo(XsObject pParent) {
    return new JAXBAppinfoImpl(pParent);
  }
  public XsESchema newXsESchema() {
    return new JAXBXsSchemaImpl(getContext());
  }
}
